{
    "fields": {
        "name": {
            "type": "personName",
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "salutationName": {
            "type": "enum",
            "options": [
                "",
                "Mr.",
                "Ms.",
                "Mrs.",
                "Dr."
            ]
        },
        "rechtsform": {
            "type": "enum",
            "required": false,
            "options": [
                "",
                "NatürlichePerson",
                "GmbH",
                "UG",
                "AG",
                "KG",
                "OHG",
                "GbR",
                "PartG",
                "eV",
                "eG",
                "KGaA",
                "SE",
                "Einzelunternehmen"
            ],
            "default": "NatürlichePerson",
            "tooltip": true,
            "isCustom": true
        },
        "firmenname": {
            "type": "varchar",
            "required": false,
            "maxLength": 255,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "firstName": {
            "type": "varchar",
            "maxLength": 100,
            "copyToClipboard": true
        },
        "lastName": {
            "type": "varchar",
            "maxLength": 100,
            "required": true,
            "copyToClipboard": true
        },
        "dateOfBirth": {
            "type": "date",
            "required": false,
            "tooltip": true,
            "isCustom": true,
            "isPersonalData": true
        },
        "description": {
            "type": "text"
        },
        "emailAddress": {
            "type": "email",
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "phoneNumber": {
            "type": "phone",
            "typeList": [
                "Mobile",
                "Office",
                "Home",
                "Fax",
                "Other"
            ],
            "defaultType": "Mobile",
            "isPersonalData": true,
            "copyToClipboard": true
        },
        "createdAt": {
            "type": "datetime",
            "readOnly": true
        },
        "modifiedAt": {
            "type": "datetime",
            "readOnly": true
        },
        "createdBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "modifiedBy": {
            "type": "link",
            "readOnly": true,
            "view": "views/fields/user"
        },
        "assignedUser": {
            "type": "link",
            "required": false,
            "view": "views/fields/assigned-user"
        },
        "teams": {
            "type": "linkMultiple",
            "view": "views/fields/teams"
        },
        "adressens": {
            "type": "linkMultiple"
        },
        "calls1": {
            "type": "linkMultiple"
        },
        "betnr": {
            "type": "int",
            "required": false,
            "tooltip": true,
            "isCustom": true
        },
        "advowareLastSync": {
            "type": "datetime",
            "required": false,
            "readOnly": true,
            "tooltip": true,
            "isCustom": true
        },
        "syncStatus": {
            "type": "enum",
            "required": false,
            "options": [
                "clean",
                "unclean",
                "failed"
            ],
            "style": {
                "clean": "success",
                "unclean": "warning",
                "failed": "danger"
            },
            "default": "clean",
            "tooltip": true,
            "isCustom": true
        },
        "handelsregisterNummer": {
            "type": "varchar",
            "required": false,
            "maxLength": 50,
            "tooltip": true,
            "isCustom": true,
            "copyToClipboard": true
        },
        "handelsregisterArt": {
            "type": "enum",
            "required": false,
            "options": [
                "",
                "HRA",
                "HRB"
            ],
            "tooltip": true,
            "isCustom": true
        },
        "bankverbindungens": {
            "type": "linkMultiple"
        },
        "disgTyp": {
            "type": "enum",
            "required": false,
            "optionsReference": "Contact.cDISGTyp",
            "default": "Unbekannt",
            "style": [],
            "tooltip": true,
            "maxLength": 100,
            "isCustom": true
        }
    },
    "links": {
        "createdBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "modifiedBy": {
            "type": "belongsTo",
            "entity": "User"
        },
        "assignedUser": {
            "type": "belongsTo",
            "entity": "User"
        },
        "teams": {
            "type": "hasMany",
            "entity": "Team",
            "relationName": "entityTeam",
            "layoutRelationshipsDisabled": true
        },
        "meetings": {
            "type": "hasMany",
            "entity": "Meeting",
            "foreign": "parent"
        },
        "calls": {
            "type": "hasMany",
            "entity": "Call",
            "foreign": "parent"
        },
        "tasks": {
            "type": "hasChildren",
            "entity": "Task",
            "foreign": "parent"
        },
        "vmhvermieterbeteiligte": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhMietverhltnis",
            "foreign": "vmhbeteiligtevermieter",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "vmhmieterbeteiligte": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhMieter",
            "foreign": "vmhbeteiligtemieter",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "vmhMietverhltnisesSonstigeBesitzer": {
            "type": "hasMany",
            "relationName": "cVmhMietverhltnisBeteiligteSonstigeBesitzer",
            "foreign": "sonstigebesitzervmhmietverhltnis",
            "entity": "CVmhMietverhltnis",
            "audited": false,
            "isCustom": true
        },
        "adressens": {
            "type": "hasMany",
            "foreign": "beteiligte",
            "entity": "CAdressen",
            "audited": false,
            "isCustom": true
        },
        "calls1": {
            "type": "hasMany",
            "relationName": "cCallBeteiligte",
            "foreign": "cBeteiligtes",
            "entity": "Call",
            "audited": false,
            "isCustom": true
        },
        "contactsBeteiligte": {
            "type": "hasMany",
            "relationName": "cBeteiligteContact",
            "foreign": "cBeteiligteContact",
            "entity": "Contact",
            "audited": false,
            "isCustom": true
        },
        "vmhRumungsklagesKlaeger": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhRumungsklageKlaeger",
            "foreign": "klaeger",
            "entity": "CVmhRumungsklage",
            "audited": false,
            "isCustom": true
        },
        "vmhRumungsklagesBeklagte": {
            "type": "hasMany",
            "relationName": "cBeteiligteVmhRumungsklageBeklagte",
            "foreign": "beklagte",
            "entity": "CVmhRumungsklage",
            "audited": false,
            "isCustom": true
        },
        "mietinkassosKlaeger": {
            "type": "hasMany",
            "relationName": "cBeteiligteMietinkassoKlaeger",
            "foreign": "klaeger",
            "entity": "CMietinkasso",
            "audited": false,
            "isCustom": true
        },
        "mietinkassosBeklagte": {
            "type": "hasMany",
            "relationName": "cBeteiligteMietinkassoBeklagte",
            "foreign": "beklagte",
            "entity": "CMietinkasso",
            "audited": false,
            "isCustom": true
        },
        "kndigungenKuendiger": {
            "type": "hasMany",
            "relationName": "cBeteiligteKuendigungKuendiger",
            "foreign": "kuendiger",
            "entity": "CKuendigung",
            "audited": false,
            "isCustom": true
        },
        "kndigungenGekuendigte": {
            "type": "hasMany",
            "relationName": "cBeteiligteKuendigungGekuendigte",
            "foreign": "gekuendigte",
            "entity": "CKuendigung",
            "audited": false,
            "isCustom": true
        },
        "dokumentesBeteiligte": {
            "type": "hasMany",
            "relationName": "cBeteiligteDokumente",
            "foreign": "beteiligte2dokumente",
            "entity": "CDokumente",
            "audited": false,
            "isCustom": true
        },
        "bankverbindungens": {
            "type": "hasMany",
            "foreign": "beteiligte",
            "entity": "CBankverbindungen",
            "audited": false,
            "isCustom": true
        }
    },
    "collection": {
        "orderBy": "createdAt",
        "order": "desc"
    },
    "indexes": {
        "firstName": {
            "columns": [
                "firstName",
                "deleted"
            ]
        },
        "name": {
            "columns": [
                "firstName",
                "lastName"
            ]
        },
        "assignedUser": {
            "columns": [
                "assignedUserId",
                "deleted"
            ]
        },
        "createdAt": {
            "columns": [
                "createdAt"
            ]
        },
        "createdAtId": {
            "unique": true,
            "columns": [
                "createdAt",
                "id"
            ]
        },
        "betnr": {
            "columns": [
                "betnr"
            ]
        },
        "rechtsform": {
            "columns": [
                "rechtsform",
                "deleted"
            ]
        },
        "disgTyp": {
            "columns": [
                "disgTyp",
                "deleted"
            ]
        }
    }
}